Name:           librime
Version:        0.9.8
Release:        5%{?dist}
Summary:        Rime Input Method Engine Library

License:        GPLv3
URL:            http://code.google.com/p/rimeime/
Source0:        http://rimeime.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  cmake, opencc-devel
BuildRequires:  boost-devel >= 1.46
BuildRequires:  glog-devel, gtest-devel
BuildRequires:  yaml-cpp-devel, kyotocabinet-devel

#Remove zlib-devel depends
Patch0:         librime-fixes-zlib-cmake.patch
#Fixes arm build
Patch1:         librime-fixes-misaligned-address.patch

%description
Rime Input Method Engine Library

Support for shape-based and phonetic-based input methods,
including those for Chinese dialects.

A selected dictionary in Traditional Chinese,
powered by opencc for Simplified Chinese output.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        tools
Summary:        Tools for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools
The %{name}-tools package contains tools for %{name}.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .zlib
%ifarch %{arm}
%patch1 -p1 -b .arm
%endif

%build
%cmake
make VERBOSE=1 %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README LICENSE
%{_libdir}/*.so.*


%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/rime.pc
%dir %{_datadir}/cmake/rime
%{_datadir}/cmake/rime/RimeConfig.cmake


%files tools
%{_bindir}/rime_deployer
%{_bindir}/rime_dict_manager


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 0.9.8-4
- Rebuild for boost 1.54.0

* Mon Jul 15 2013 Peng Wu <pwu@redhat.com> - 0.9.8-3
- Fixes arm build

* Thu May 16 2013 Peng Wu <pwu@redhat.com> - 0.9.8-2
- Improves the spec

* Thu May  9 2013 Peng Wu <pwu@redhat.com> - 0.9.8-1
- The Initial Version

